Loading...
Searching...
No Matches
CVTracker.h File Reference

Track an object selected by the user. More...

`#include "OpenCVUtilities.h"`
`#include <opencv2/opencv.hpp>`
`#include <opencv2/tracking.hpp>`
`#include <opencv2/core.hpp>`
`#include "Clip.h"`
`#include "KeyFrame.h"`
`#include "Frame.h"`
`#include "Json.h"`
`#include "ProcessingController.h"`
`#include "sort_filter/sort.hpp"`

Go to the source code of this file.

## Classes

class | openshot::CVTracker
| The tracker class will receive one bounding box provided by the user and then iterate over the clip frames to return the object position in all the frames. More...
struct | openshot::FrameData

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.
namespace | pb_tracker

## Macros

#define | int64 int64_t
#define | uint64 uint64_t

## Detailed Description

Track an object selected by the user.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org
  Brenno Caldato brenn.nosp@m.o.ca.nosp@m.ldato.nosp@m.@out.nosp@m.look..nosp@m.com

License

Definition in file CVTracker.h.

## Macro Definition Documentation

## int64

#define int64 int64_t

Definition at line 19 of file CVTracker.h.

## uint64

#define uint64 uint64_t

Definition at line 20 of file CVTracker.h.